package com.dxhy.customs.constants;

import lombok.AllArgsConstructor;

/**
 * @author dxhy
 */
@AllArgsConstructor
public enum EntryDiscrepancyEnum {
    // 签收方式（0-扫码签收 1-扫描仪签收 2-app签收 3-导入签收 4-手工签收，5-电票上传）

    A("0", "否"), B("1", "是");

    private String key;
    private String value;

    public static String getVal(String key) {
        for (EntryDiscrepancyEnum materialEnum : EntryDiscrepancyEnum.values()) {
            if (materialEnum.key.equals(key)) {
                return materialEnum.value;
            }
        }
        return null;
    }
}
